Bug 1871235 - VM vm-name is down with error. Exit message: unsupported configuration: Can't add USB input device. USB bus is disabled.
Summary: VM vm-name is down with error. Exit message: unsupported configuration: Can't...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.1
Hardware: All
OS: All
high
high
Target Milestone: ovirt-4.4.2
: ---
Assignee: Liran Rotenberg
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-21 17:29 UTC by Gajanan
Modified: 2021-02-23 13:08 UTC (History)
8 users (show)

Fixed In Version: rhv-4.4.2-4
Doc Type: Bug Fix
Doc Text:
Before this update, a virtual machine that was set with a High Performance profile using the REST API could not start if it had any USB devices, because the High Performance profile disabled the USB controller. Additionally, hosts in clusters with compatibility level 4.3 did not report the TSC frequency. This update resolves these issues. TSC is no longer present for 4.3 clusters and the VM won't have USB devices when there is no USB controller, allowing VMs to run normally.
Clone Of:
Environment:
Last Closed: 2020-09-23 16:11:41 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5339991 0 None None None 2020-08-21 17:37:01 UTC
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:12:11 UTC

Description Gajanan 2020-08-21 17:29:41 UTC
Description of problem:

Fail to start vm, error is: 

VM vm-name is down with error. Exit message: unsupported configuration: Can't add USB input device. USB bus is disabled.

Upstream bug# https://bugzilla.redhat.com/show_bug.cgi?id=1863615

Comment 2 Michal Skrivanek 2020-08-22 05:28:59 UTC
Any update on https://bugzilla.redhat.com/show_bug.cgi?id=1863615#c13 ? As you said in comment 10 theré not all HP VMs are headless so if these are not(as created by IPI) why do we still set USB to none?

Comment 3 Arik 2020-08-22 06:55:14 UTC
Should be fixed by gerrit.ovirt.org/110711
We cannot easily enable USB controller for HP VMs - 
Had we implemented each property of HP VMs as a capability and just compose the default capabilities for HP type, we could have select a subset of capabilities for cases like this.

But this approach was only partially accepted back then. We were too focused on a specific use case for HP VMs and so we enable/disable certain things based on the VM type in a non configurable way. Disabling USB controller is one of them. It's easier at this point to keep disabling the controller and set the input devices accordingly.

Comment 5 Michal Skrivanek 2020-08-22 07:01:24 UTC
(In reply to Arik from comment #3)
> Should be fixed by gerrit.ovirt.org/110711

How is it fixing it for x86_64? I don't sdispute the decision to add graphics over API by default, all I'm saying taht to enable USB in case a graphics exists (like in PPC case) is trivial to fix and will be good enough for most users. I don't think in these cases people really care that it has some graphics, they care that VM can't start. 

Before moving to ON_QA(it's not fixed AFAICT, but if it would) you need to set TM, flags, and in case of RHV bug attach to advisory.

Comment 6 Michal Skrivanek 2020-08-22 07:02:05 UTC
so...is it really MODIFIED?

Comment 7 Arik 2020-08-22 08:53:22 UTC
Yes, it is supposed to be fixes by the aforementioned patch - we don't enable USB but change the input devices in away that no USB is required.

It's not like we really need graphics in thus case - we actually want the VM to be headless but it's not configured properly for that so with this fix it should at least start

Comment 12 Nisim Simsolo 2020-08-27 12:35:40 UTC
Verified:
ovirt-engine-4.4.2.3-0.6.el8ev
vdsm-4.40.26-1.el8ev.x86_64
libvirt-daemon-6.0.0-25.module+el8.2.1+7154+47ffd890.x86_64
qemu-kvm-4.2.0-29.module+el8.2.1+7297+a825794d.x86_64

Verification scenario:
1. Create new VM with Q35 chipset and legacy BIOS.
2. Change VM to high performance VM from API. run VM.
3. Verify:
VM is running properly
Console can be opened for that VM, console USB selection is grayed out (cannot select USB device)
ssh VM and verify lsusb is not listing USB devices
           verify lspci is not listing USB controllers.
No errors in engine.log and vdsm.log
4. Repeat steps 1-3, this time for pc-i440fx and legacy BIOS.
5. Repeat steps 1-4, this time set high performance VM from WebAdmin.
step 3 note: when setting HP VM from WebAdmin, headless mode is also enabled, so console cannot be opened on such VM.
6. repeat steps 1-5, this time using 4.3 cluster.

Comment 16 errata-xmlrpc 2020-09-23 16:11:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.